# Class: HlsAudioTrack

## HlsAudioTrack

#### new HlsAudioTrack(options)

HlsAudioTrack extends video.js audio tracks but adds HLS specific data storage such as playlist loaders, mediaGroups and default/autoselect

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | options to create HlsAudioTrack with

Source:
  - hls-audio-track.js, line 7

### Extends

- AudioTrack

### Methods

#### addLoader(mediaGroup, uri)

add a PlaylistLoader given a mediaGroup, and a uri. for a combined track we store null for the playlistloader

##### Parameters:

Name | Type | Description
--- | --- | ---
`mediaGroup` | String | the mediaGroup to get the loader for
`uri` | String | the uri to get the audio track/mediaGroup from

Source:
  - hls-audio-track.js, line 56

#### dispose()

Dispose of this audio track and the playlist loader that it holds inside

Source:
  - hls-audio-track.js, line 91

#### getLoader(mediaGroup) → {PlaylistLoader|Null}

get a PlaylistLoader from this track given a mediaGroup name

##### Parameters:

Name | Type | Description
--- | --- | ---
`mediaGroup` | String | the mediaGroup to get the loader for

Source:
  - hls-audio-track.js, line 39

##### Returns:

the PlaylistLoader or null

Type
  PlaylistLoader | Null

#### removeLoader(mediaGroup)

remove a playlist loader from a track given the mediaGroup

##### Parameters:

Name | Type | Description
--- | --- | ---
`mediaGroup` | String | the mediaGroup to remove

Source:
  - hls-audio-track.js, line 73